Skip to main content
GET
/
missions
Queries missions
curl --request GET \
  --url https://api.inorbit.ai/missions \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "missions": [
    {
      "robotId": "<string>",
      "missionId": "<string>",
      "status": "<string>",
      "state": "<string>",
      "inProgress": true,
      "label": "<string>",
      "createdTs": 123,
      "startTs": 123,
      "endTs": 123,
      "completedPercent": 123,
      "estimatedDurationSecs": 123,
      "tasks": [
        {
          "taskId": "<string>",
          "status": "<string>",
          "inProgress": true,
          "completed": true,
          "label": "<string>",
          "updatedTs": 123,
          "startTs": 123,
          "endTs": 123,
          "completedPercent": 123,
          "estimatedDurationSecs": 123,
          "arguments": {}
        }
      ],
      "arguments": {},
      "data": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Query Parameters

robotId
string

The robot id

inProgress
boolean

Filter missions that are in progress

limit
integer

Items per page

page
integer

Page number

startTs
integer

Search missions starting after startTs

endTs
integer

Search missions starting before endTs

Response

List of missions matching the given filters

missions
object[]

List of missions satisfying search criteria